org.eclipse.wst.jsdt.js.common.build.system.launch

## Class LaunchConfigurationAutoFill

- java.lang.Object
- - org.eclipse.wst.jsdt.js.common.build.system.launch.LaunchConfigurationAutoFill

    public class LaunchConfigurationAutoFill
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`LaunchConfigurationAutoFill()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ILaunchConfiguration[]` `getAllLaunchConfigurations(ILaunchConfiguration[] configurations, ITask task, java.lang.String buildAttribute)` Filters configurations for launch configurations with the same build file as a task.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LaunchConfigurationAutoFill

    public LaunchConfigurationAutoFill()

### Method Detail

#### getAllLaunchConfigurations

    public static ILaunchConfiguration[] getAllLaunchConfigurations(ILaunchConfiguration[] configurations,
                                                                    ITask task,
                                                                    java.lang.String buildAttribute)

Filters configurations for launch configurations with the same build file as a task.

Parameters:
  `configurations` - - the launch configurations to filter
  `task` - - the target task
  `buildAttribute` - - the name of the launch configuration attribute that stores the build file.
Returns:
  an array of launch configurations that target the same build file as task